﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="keywords" content="country, countries, area code, iso country" />
    <meta name="description" content="List of Countries" />
    <title>Country Page</title>
</head>
<body>
    <h2>Countries</h2>
    <button id="newItem" onclick="nuevo()" class="btn btn-primary">Nuevo</button>
    <input type="hidden" id="entidad" value="Country" />
    <table id="tblData">
        <thead>
            <tr>
                <th>ID</th>
                <th>Nombre</th>
                <th>Acciones</th> <!-- Nueva columna para los botones -->
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>

    <script src="~/js/crud/items.js"></script>
</body>
</html>

<script>
    function htmlRow(item) {
         return "<tr>" +
                "<td>" + item.id + "</td>" +
                "<td>" + item.nombre + "</td>" +
                "<td>" +
                "<div class=\"btn-group\">" +
                "<button onclick='verDetalle(" + item.id + ")' class=\"btn btn-primary p-2\">Detalle</button>" +
                "<button onclick='editar(" + item.id + ")' class=\"btn btn-warning p-2\">Editar</button>" +
                "<button onclick='eliminar(" + item.id + ")' class=\"btn btn-danger p-2\">Eliminar</button>" +
                "</div>" +
                "</td>" +
                "</tr>";
    }

    cargarDatos();
</script>
